Bug 113500 - tcpslice: problems finding end packet of file <filename>
Summary: tcpslice: problems finding end packet of file <filename>
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: tcpdump   
(Show other bugs)
Version: 2.1
Hardware: ia64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-14 18:43 UTC by Ben Levenson
Modified: 2017-07-05 21:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 13:54:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2004-01-14 18:43:51 UTC
Description of problem: 
Unable to glue two capture files together w/ tcpslice on ia64. 
 
Version-Release number of selected component (if applicable): 
tcpdump-3.6.2-12.2.1AS.4 
 
How reproducible: 
100% 
 
Steps to Reproduce: 
1. tcpdump -c 100 -w foo2 
2. tcpdump -c 200 -w bar2 
3. tcpslice -w foobar2 foo2 bar2 
   
Actual results: 
tcpslice: problems finding end packet of file foo 
# echo $? 
1 
 
# tcpdump -r foobar2 | wc -l 
      0 
 
Expected results: 
no output && 
# tcpdump -r foobar2 | wc -l 
      300 
 
Additional info: 
works as expected on x86.

Comment 1 Leonard den Ottolander 2004-04-08 10:36:10 UTC
Does this problem still exist with tcpdump-3.6.2-12.2.1AS.5?


Comment 2 Harald Hoyer 2004-05-11 13:54:44 UTC
tcpslice seems broken anyway... in any version I tried..
# (tcpdump -r foo2;tcpdump -r bar2) > ver1
# tcpdump -r foobar2 > ver2
# diff -u ver1 ver2

the diff reveals different versions of the playback -> tcpslice is
b0rken... we should report this upstream

http://sourceforge.net/projects/tcpslice/

Comment 3 raj 2017-07-05 21:07:06 UTC
Hi

Is there any indication that this has been fixed?


Note You need to log in before you can comment on or make changes to this bug.